CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh Struct Reference

A single mesh within the tree to be rendered. More...

`#include <csplugincommon/rendermanager/rendertree.h>`

Inheritance diagram for CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh:

List of all members.

## Public Attributes
size_t | contextLocalId
| "Local ID" in the context; used for array indexing
csFlags | meshFlags
| Mesh flags.
iShaderVariableContext * | meshObjSVs
| Mesh object wrapper shader variables.
iMeshWrapper * | meshWrapper
| Originating mesh wrapper.
csRenderMesh * | renderMesh
| Render mesh.
csRef< csShaderVariable > | svObjectToWorld
| Mesh object to world transformation.
csRef< csShaderVariable > | svObjectToWorldInv
| Mesh object to world inverse transformation.
csZBufMode | zmode
| Mesh Z buffer mode.
Copying render target contents before rendering the mesh.
Setting these fields has the render target contents copied to the given texture just before the mesh is rendered.
size_t | preCopyNum
| Number of attachment/texture pairs.
csRenderTargetAttachment | preCopyAttachments [rtaNumAttachments]
| Array of attachments to be copied.
iTextureHandle * | preCopyTextures [rtaNumAttachments]
| Array of textures to be copied to.

## Detailed Description

### template<typename TreeTraits = RenderTreeStandardTraits>
struct CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh

A single mesh within the tree to be rendered.

Definition at line 304 of file rendertree.h.

## Member Data Documentation

template<typename TreeTraits = RenderTreeStandardTraits>

size_t CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::contextLocalId

"Local ID" in the context; used for array indexing

Definition at line 323 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csFlags CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::meshFlags

Mesh flags.

Definition at line 320 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

iShaderVariableContext* CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::meshObjSVs

Mesh object wrapper shader variables.

Definition at line 314 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

iMeshWrapper* CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::meshWrapper

Originating mesh wrapper.

Definition at line 308 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csRenderTargetAttachment CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::preCopyAttachments[rtaNumAttachments]

Array of attachments to be copied.

Definition at line 332 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

size_t CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::preCopyNum

Number of attachment/texture pairs.

Definition at line 330 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

iTextureHandle* CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::preCopyTextures[rtaNumAttachments]

Array of textures to be copied to.

Definition at line 334 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csRenderMesh* CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::renderMesh

Render mesh.

Definition at line 310 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csRef<csShaderVariable> CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::svObjectToWorld

Mesh object to world transformation.

Definition at line 316 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csRef<csShaderVariable> CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::svObjectToWorldInv

Mesh object to world inverse transformation.

Definition at line 318 of file rendertree.h.

template<typename TreeTraits = RenderTreeStandardTraits>

csZBufMode CS::RenderManager::RenderTree< TreeTraits >::MeshNode::SingleMesh::zmode

Mesh Z buffer mode.

Definition at line 312 of file rendertree.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/rendertree.h